>From 513c4429dd92adaaadf5d96f5617921262e6813f Mon Sep 17 00:00:00 2001
From: Ondrej Jirman <megous@megous.com>
Date: Fri, 12 Jun 2009 20:53:59 +0200
Subject: [PATCH] Fix for the txz package name parsing bug

---
 src/misc.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/src/misc.c b/src/misc.c
index 3534655..373f426 100644
--- a/src/misc.c
+++ b/src/misc.c
@@ -35,6 +35,7 @@ gchar* parse_pkgname(const gchar* path, guint elem)
       guint suffix_len =
         g_str_has_suffix(path, ".tgz") ||
         g_str_has_suffix(path, ".tlz") ||
+        g_str_has_suffix(path, ".txz") ||
         g_str_has_suffix(path, ".tar") ? 4 : 0;
       name = g_strndup(tmp, strlen(tmp) - suffix_len);
       /* 3 dashes required */
-- 
1.6.3.2

